package com.zjsgfa.project.zt.domain;

import com.zjsgfa.framework.web.domain.BaseEntity;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 地质简介基本数据对象 jsba
 * 
 * @author ruoyi
 * @date 2025-07-10
 */
@Data
public class Jsba extends BaseEntity
{
    private static final Long serialVersionUID = 1L;

    /** $column.columnComment */
    private String jh;

    /** $column.columnComment */
    //@Excel(name = "${comment}")
    private String gzmc;

    /** $column.columnComment */
    //@Excel(name = "${comment}")
    private String jx;

    /** $column.columnComment */
    //@Excel(name = "${comment}")
    private String jb;

    /** $column.columnComment */
    //@Excel(name = "${comment}")
    private Double jkhzb;

    /** $column.columnComment */
    //@Excel(name = "${comment}")
    private Double jkzzb;

    /** $column.columnComment */
    //@Excel(name = "${comment}")
    private Double jdhzb;

    /** $column.columnComment */
    //@Excel(name = "${comment}")
    private Double jdzzb;

    /** $column.columnComment */
    //@Excel(name = "${comment}")
    private String dlwz;

    /** $column.columnComment */
    //@Excel(name = "${comment}")
    private String gzwz;

    /** $column.columnComment */
    //@Excel(name = "${comment}")
    private String cxwz;

    /** $column.columnComment */
    //@Excel(name = "${comment}")
    private Double dmhb;

    /** $column.columnComment */
    //@Excel(name = "${comment}")
    private Double bxhb;

    /** $column.columnComment */
    //@Excel(name = "${comment}")
    private Double hssd;

    /** $column.columnComment */
    //@Excel(name = "${comment}")
    private Double lrsd;

    /** $column.columnComment */
    //@Excel(name = "${comment}")
    private String zjmd;

    /** $column.columnComment */
    //@Excel(name = "${comment}")
    private Double cpj;

    /** $column.columnComment */
    //@Excel(name = "${comment}")
    private String ptbh;

    /** $column.columnComment */
    //@Excel(name = "${comment}")
    private Double jd;

    /** $column.columnComment */
    //@Excel(name = "${comment}")
    private Double wd;

    /** $column.columnComment */
    //@Excel(name = "${comment}")
    private Double jdhzb1;

    /** $column.columnComment */
    //@Excel(name = "${comment}")
    private Double jdzzb1;

    /** $column.columnComment */
    //@Excel(name = "${comment}")
    private Double jdhzb2;

    /** $column.columnComment */
    //@Excel(name = "${comment}")
    private Double jdzzb2;

    /** $column.columnComment */
    //@Excel(name = "${comment}")
    private Double jdhzb3;

    /** $column.columnComment */
    //@Excel(name = "${comment}")
    private Double jdzzb3;

    /** $column.columnComment */
    //@Excel(name = "${comment}")
    private Double jdhzb4;

    /** $column.columnComment */
    //@Excel(name = "${comment}")
    private Double jdzzb4;
    public Jsba() {

    }


    public Jsba(String jh, Double jkhzb,Double jkzzb,Double jdhzb,Double jdzzb) {
        this.jh = jh;
        this.jkhzb = jkhzb;
        this.jkzzb = jkzzb;
        this.jdhzb = jdhzb;
        this.jdzzb = jdzzb;
    }

    public void setJh(String jh) 
    {
        this.jh = jh;
    }

    public String getJh() 
    {
        return jh;
    }
    public void setGzmc(String gzmc) 
    {
        this.gzmc = gzmc;
    }

    public String getGzmc() 
    {
        return gzmc;
    }
    public void setJx(String jx) 
    {
        this.jx = jx;
    }

    public String getJx() 
    {
        return jx;
    }
    public void setJb(String jb) 
    {
        this.jb = jb;
    }

    public String getJb() 
    {
        return jb;
    }
    public void setJkhzb(Double jkhzb) 
    {
        this.jkhzb = jkhzb;
    }

    public Double getJkhzb() 
    {
        return jkhzb;
    }
    public void setJkzzb(Double jkzzb) 
    {
        this.jkzzb = jkzzb;
    }

    public Double getJkzzb() 
    {
        return jkzzb;
    }
    public void setJdhzb(Double jdhzb) 
    {
        this.jdhzb = jdhzb;
    }

    public Double getJdhzb() 
    {
        return jdhzb;
    }
    public void setJdzzb(Double jdzzb) 
    {
        this.jdzzb = jdzzb;
    }

    public Double getJdzzb() 
    {
        return jdzzb;
    }
    public void setDlwz(String dlwz) 
    {
        this.dlwz = dlwz;
    }

    public String getDlwz() 
    {
        return dlwz;
    }
    public void setGzwz(String gzwz) 
    {
        this.gzwz = gzwz;
    }

    public String getGzwz() 
    {
        return gzwz;
    }
    public void setCxwz(String cxwz) 
    {
        this.cxwz = cxwz;
    }

    public String getCxwz() 
    {
        return cxwz;
    }
    public void setDmhb(Double dmhb) 
    {
        this.dmhb = dmhb;
    }

    public Double getDmhb() 
    {
        return dmhb;
    }
    public void setBxhb(Double bxhb) 
    {
        this.bxhb = bxhb;
    }

    public Double getBxhb() 
    {
        return bxhb;
    }
    public void setHssd(Double hssd) 
    {
        this.hssd = hssd;
    }

    public Double getHssd() 
    {
        return hssd;
    }
    public void setLrsd(Double lrsd) 
    {
        this.lrsd = lrsd;
    }

    public Double getLrsd() 
    {
        return lrsd;
    }
    public void setZjmd(String zjmd) 
    {
        this.zjmd = zjmd;
    }

    public String getZjmd() 
    {
        return zjmd;
    }
    public void setCpj(Double cpj) 
    {
        this.cpj = cpj;
    }

    public Double getCpj() 
    {
        return cpj;
    }
    public void setPtbh(String ptbh) 
    {
        this.ptbh = ptbh;
    }

    public String getPtbh() 
    {
        return ptbh;
    }
    public void setJd(Double jd) 
    {
        this.jd = jd;
    }

    public Double getJd() 
    {
        return jd;
    }
    public void setWd(Double wd) 
    {
        this.wd = wd;
    }

    public Double getWd() 
    {
        return wd;
    }
    public void setJdhzb1(Double jdhzb1) 
    {
        this.jdhzb1 = jdhzb1;
    }

    public Double getJdhzb1() 
    {
        return jdhzb1;
    }
    public void setJdzzb1(Double jdzzb1) 
    {
        this.jdzzb1 = jdzzb1;
    }

    public Double getJdzzb1() 
    {
        return jdzzb1;
    }
    public void setJdhzb2(Double jdhzb2) 
    {
        this.jdhzb2 = jdhzb2;
    }

    public Double getJdhzb2() 
    {
        return jdhzb2;
    }
    public void setJdzzb2(Double jdzzb2) 
    {
        this.jdzzb2 = jdzzb2;
    }

    public Double getJdzzb2() 
    {
        return jdzzb2;
    }
    public void setJdhzb3(Double jdhzb3) 
    {
        this.jdhzb3 = jdhzb3;
    }

    public Double getJdhzb3() 
    {
        return jdhzb3;
    }
    public void setJdzzb3(Double jdzzb3) 
    {
        this.jdzzb3 = jdzzb3;
    }

    public Double getJdzzb3() 
    {
        return jdzzb3;
    }
    public void setJdhzb4(Double jdhzb4) 
    {
        this.jdhzb4 = jdhzb4;
    }

    public Double getJdhzb4() 
    {
        return jdhzb4;
    }
    public void setJdzzb4(Double jdzzb4) 
    {
        this.jdzzb4 = jdzzb4;
    }

    public Double getJdzzb4() 
    {
        return jdzzb4;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("jh", getJh())
            .append("gzmc", getGzmc())
            .append("jx", getJx())
            .append("jb", getJb())
            .append("jkhzb", getJkhzb())
            .append("jkzzb", getJkzzb())
            .append("jdhzb", getJdhzb())
            .append("jdzzb", getJdzzb())
            .append("dlwz", getDlwz())
            .append("gzwz", getGzwz())
            .append("cxwz", getCxwz())
            .append("dmhb", getDmhb())
            .append("bxhb", getBxhb())
            .append("hssd", getHssd())
            .append("lrsd", getLrsd())
            .append("zjmd", getZjmd())
            .append("cpj", getCpj())
            .append("ptbh", getPtbh())
            .append("jd", getJd())
            .append("wd", getWd())
            .append("jdhzb1", getJdhzb1())
            .append("jdzzb1", getJdzzb1())
            .append("jdhzb2", getJdhzb2())
            .append("jdzzb2", getJdzzb2())
            .append("jdhzb3", getJdhzb3())
            .append("jdzzb3", getJdzzb3())
            .append("jdhzb4", getJdhzb4())
            .append("jdzzb4", getJdzzb4())
            .toString();
    }
}
